Dissociate Acceleration

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/acceleration

Dissociate an Acceleration from its dataset by providing the dataset ID with the Securable role. Any logged-in user may call this operation.

Request parametersResponse schema
id UUID

The unique identifier of the entity

load_type STRING

Type of load for the acceleration.

data_storage_strategy STRING

Strategy for storing data in the acceleration.

delta_sync_schema_change_strategy STRING

Strategy for handling schema changes during delta sync.

primary_key_column_ids ARRAY[STRING]

UUIDs of the columns that contain the primary key.

value UUID
created_at_column_id UUID

UUID of the column that contains the creation timestamp.

updated_at_column_id UUID

UUID of the column that contains the update timestamp.

deleted_at_column_id UUID

UUID of the column that contains the deletion timestamp.

full_sync_interval NUMBER

Perform a full sync every xth sync.

schedule OBJECT

Schedule response with execution status information.

started_at DATETIME
frequency_unit STRING
frequency_quantity NUMBER
last_execution_status STRING
completed_at DATETIME
scheduled_at DATETIME
active BOOLEAN
last_synced_at DATETIME

When the acceleration was last synced.

last_full_sync_at DATETIME

When the acceleration was last fully synced.

last_storage_size NUMBER

Size of the storage in bytes.

current_sync_count NUMBER

Current sync count.

trigger_full_sync BOOLEAN

Whether to trigger a full sync.

delta_sync_max_sync_period NUMBER

Maximum time period of data to sync during 1 delta sync step, in seconds. This can be used for very large sets to incrementally load data even during the initial load phase.

delta_sync_initial_load_date DATETIME

Date to start the delta sync. This should be smaller than or equal to the earliest created_at/updated_at/deleted_at date in the dataset in order to ensure data consistency. This can be used for very large sets to incrementally load data even during the initial load phase.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Logged-in User
Can be associated to:
Securable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk

Dissociate an acceleration from a securable (dataset).

Example Response
200
400
500
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "load_type": "delta",
  "data_storage_strategy": "insert-update",
  "primary_key_column_ids": [
    "123e4567-e89b-12d3-a456-426614174002"
  ],
  "created_at_column_id": "123e4567-e89b-12d3-a456-426614174003",
  "updated_at_column_id": "123e4567-e89b-12d3-a456-426614174004",
  "schedule": {
    "frequency_unit": "day",
    "frequency_quantity": 1
  },
  "created_at": "2024-01-01T00:00:00.000Z",
  "updated_at": "2024-01-01T00:00:00.000Z"
}